﻿@model CargaArchivosModel
@{
    string Prefix = "CargaArchivos";

    string UrlSave = Url.Action("Edit", "CargaArchivos");


    var ToolbarConfig = new ToolbarConfiguration(Prefix)
        .Title(DApp.DefaultLanguage.GetResource("CargaArchivos"));
    //.Save(DApp.ActionViewSecurity(Context, UrlSave),Model.Entity.IsNew)
    //.New(UrlNew, DApp.ActionViewSecurity(Context, UrlNew))
    //.Delete(UrlDelete,DApp.ActionViewSecurity(Context,UrlDelete),UrlBack,Model.Entity.IsNew)
    //.Back(UrlBack);
}

<partial name="ViewJS.cshtml" model="Model" view-data="ViewData" />

@(Html.DControls().Toolbar(ToolbarConfig))

<div>

    @(Html.DControls().ValidationSummary().ValidationGroup(Prefix + "ValidationGroup").ElementAttr("class","ErrorValidationSummary"))
    @using (Html.DevExtreme().ValidationGroup(Prefix + "ValidationGroup"))
    {
        @(Html.DControls().Form<CargaArchivosModel>().ColCount(12)
            .ID("ProfileModelForm").LabelLocation(FormLabelLocation.Top).ShowValidationSummary(false).FormData(Model)
            .Items(groupItems =>
            {
                groupItems.AddSimpleFor(m => m.PeriodoId).ColSpan(4)
                            .ValidationRules(rules => rules.AddRequired().Message(DApp.GetRequiredResource("CargaArchivos.Periodos")))
                            .ValidationRules(rules => rules.AddRange().Min(1).Message(DApp.GetRequiredResource("CargaArchivos.Periodos")))
                                .Editor(e => e.SelectBox().ID(Prefix + "Periodos")
                                .DataSource(Model.Periodos)
                                .ValueExpr("Id").DisplayExpr("Descripcion").SearchExpr("Descripcion")
                                .SearchEnabled(true).ShowClearButton(true)
                                .OnValueChanged($"{Prefix}CrearUrlDeEnvio")
                            );

                    groupItems.AddSimpleFor(m => m.Descripcion).ColSpan(8)
                                .ValidationRules(rules => rules.AddRequired().Message(DApp.GetRequiredResource("CargaArchivos.Descripcion")))
                                .ValidationRules(rules => rules.AddStringLength().Min(0).Max(1000).Message(DApp.GetStringLengthResource("CargaArchivos.Descripcion", 1000)))
                                    .Editor(e => e.TextBox().ID(Prefix + "Descripcion").ShowClearButton(true)
                                    .OnValueChanged($"{Prefix}CrearUrlDeEnvio")
                                    );
            })
        )
    }

</div>

<div id="@(Prefix)FileUploaderDiv" style="max-height: 100%;overflow: auto;">
    @(Html.DevExtreme().FileUploader()
    .ID($"{Prefix}FileUploaderCargaArchivos")
    .Name("CargaArchivos")
    .Multiple(true)
    .Accept("*")
    .Disabled(true)
    .MaxFileSize(9000000) @*3 Megas*@
    .UploadMode(FileUploadMode.UseButtons)
    @*.UploadUrl(Url.Action("CargarArchivos", "CargaArchivos"))*@
    .OnValueChanged($"{Prefix}CrearUrlDeEnvio")
    )
</div>





